# -*- encoding: utf-8 -*-
# stub: winrm 2.2.3 ruby lib

Gem::Specification.new do |s|
  s.name = "winrm".freeze
  s.version = "2.2.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dan Wanek".freeze, "Paul Morton".freeze, "Matt Wrock".freeze, "Shawn Neal".freeze]
  s.date = "2017-05-09"
  s.description = "    Ruby library for Windows Remote Management\n".freeze
  s.email = ["dan.wanek@gmail.com".freeze, "paul@themortonsonline.com".freeze, "matt@mattwrock.com".freeze, "sneal@sneal.net".freeze]
  s.executables = ["rwinrm".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "Vagrantfile".freeze, "WinrmAppveyor.psm1".freeze, "appveyor.yml".freeze, "bin/rwinrm".freeze, "changelog.md".freeze, "lib/winrm.rb".freeze, "lib/winrm/connection.rb".freeze, "lib/winrm/connection_opts.rb".freeze, "lib/winrm/exceptions.rb".freeze, "lib/winrm/http/response_handler.rb".freeze, "lib/winrm/http/transport.rb".freeze, "lib/winrm/http/transport_factory.rb".freeze, "lib/winrm/output.rb".freeze, "lib/winrm/psrp/create_pipeline.xml.erb".freeze, "lib/winrm/psrp/fragment.rb".freeze, "lib/winrm/psrp/init_runspace_pool.xml.erb".freeze, "lib/winrm/psrp/message.rb".freeze, "lib/winrm/psrp/message_data.rb".freeze, "lib/winrm/psrp/message_data/base.rb".freeze, "lib/winrm/psrp/message_data/error_record.rb".freeze, "lib/winrm/psrp/message_data/pipeline_host_call.rb".freeze, "lib/winrm/psrp/message_data/pipeline_output.rb".freeze, "lib/winrm/psrp/message_data/pipeline_state.rb".freeze, "lib/winrm/psrp/message_data/runspacepool_host_call.rb".freeze, "lib/winrm/psrp/message_data/runspacepool_state.rb".freeze, "lib/winrm/psrp/message_data/session_capability.rb".freeze, "lib/winrm/psrp/message_defragmenter.rb".freeze, "lib/winrm/psrp/message_factory.rb".freeze, "lib/winrm/psrp/message_fragmenter.rb".freeze, "lib/winrm/psrp/powershell_output_decoder.rb".freeze, "lib/winrm/psrp/receive_response_reader.rb".freeze, "lib/winrm/psrp/session_capability.xml.erb".freeze, "lib/winrm/psrp/uuid.rb".freeze, "lib/winrm/shells/base.rb".freeze, "lib/winrm/shells/cmd.rb".freeze, "lib/winrm/shells/power_shell.rb".freeze, "lib/winrm/shells/retryable.rb".freeze, "lib/winrm/shells/shell_factory.rb".freeze, "lib/winrm/version.rb".freeze, "lib/winrm/wsmv/base.rb".freeze, "lib/winrm/wsmv/cleanup_command.rb".freeze, "lib/winrm/wsmv/close_shell.rb".freeze, "lib/winrm/wsmv/command.rb".freeze, "lib/winrm/wsmv/command_output.rb".freeze, "lib/winrm/wsmv/command_output_decoder.rb".freeze, "lib/winrm/wsmv/configuration.rb".freeze, "lib/winrm/wsmv/create_pipeline.rb".freeze, "lib/winrm/wsmv/create_shell.rb".freeze, "lib/winrm/wsmv/header.rb".freeze, "lib/winrm/wsmv/init_runspace_pool.rb".freeze, "lib/winrm/wsmv/iso8601_duration.rb".freeze, "lib/winrm/wsmv/keep_alive.rb".freeze, "lib/winrm/wsmv/receive_response_reader.rb".freeze, "lib/winrm/wsmv/send_data.rb".freeze, "lib/winrm/wsmv/soap.rb".freeze, "lib/winrm/wsmv/wql_pull.rb".freeze, "lib/winrm/wsmv/wql_query.rb".freeze, "lib/winrm/wsmv/write_stdin.rb".freeze, "preamble".freeze, "tests/integration/auth_timeout_spec.rb".freeze, "tests/integration/cmd_spec.rb".freeze, "tests/integration/config-example.yml".freeze, "tests/integration/issue_59_spec.rb".freeze, "tests/integration/powershell_spec.rb".freeze, "tests/integration/spec_helper.rb".freeze, "tests/integration/transport_spec.rb".freeze, "tests/integration/wql_spec.rb".freeze, "tests/matchers.rb".freeze, "tests/spec/configuration_spec.rb".freeze, "tests/spec/connection_spec.rb".freeze, "tests/spec/exception_spec.rb".freeze, "tests/spec/http/transport_factory_spec.rb".freeze, "tests/spec/http/transport_spec.rb".freeze, "tests/spec/output_spec.rb".freeze, "tests/spec/psrp/fragment_spec.rb".freeze, "tests/spec/psrp/message_data/base_spec.rb".freeze, "tests/spec/psrp/message_data/error_record_spec.rb".freeze, "tests/spec/psrp/message_data/pipeline_host_call_spec.rb".freeze, "tests/spec/psrp/message_data/pipeline_output_spec.rb".freeze, "tests/spec/psrp/message_data/pipeline_state_spec.rb".freeze, "tests/spec/psrp/message_data/runspace_pool_host_call_spec.rb".freeze, "tests/spec/psrp/message_data/runspacepool_state_spec.rb".freeze, "tests/spec/psrp/message_data/session_capability_spec.rb".freeze, "tests/spec/psrp/message_data_spec.rb".freeze, "tests/spec/psrp/message_defragmenter_spec.rb".freeze, "tests/spec/psrp/message_fragmenter_spec.rb".freeze, "tests/spec/psrp/powershell_output_decoder_spec.rb".freeze, "tests/spec/psrp/psrp_message_spec.rb".freeze, "tests/spec/psrp/recieve_response_reader_spec.rb".freeze, "tests/spec/psrp/uuid_spec.rb".freeze, "tests/spec/response_handler_spec.rb".freeze, "tests/spec/shells/base_spec.rb".freeze, "tests/spec/shells/cmd_spec.rb".freeze, "tests/spec/shells/powershell_spec.rb".freeze, "tests/spec/spec_helper.rb".freeze, "tests/spec/stubs/clixml/error_record.xml.erb".freeze, "tests/spec/stubs/clixml/pipeline_state.xml.erb".freeze, "tests/spec/stubs/responses/get_command_output_response.xml.erb".freeze, "tests/spec/stubs/responses/get_command_output_response_not_done.xml.erb".freeze, "tests/spec/stubs/responses/get_powershell_keepalive_response.xml.erb".freeze, "tests/spec/stubs/responses/get_powershell_output_response.xml.erb".freeze, "tests/spec/stubs/responses/get_powershell_output_response_not_done.xml.erb".freeze, "tests/spec/stubs/responses/open_shell_v1.xml".freeze, "tests/spec/stubs/responses/open_shell_v2.xml".freeze, "tests/spec/stubs/responses/soap_fault_v1.xml".freeze, "tests/spec/stubs/responses/soap_fault_v2.xml".freeze, "tests/spec/stubs/responses/wmi_error_v2.xml".freeze, "tests/spec/wsmv/cleanup_command_spec.rb".freeze, "tests/spec/wsmv/close_shell_spec.rb".freeze, "tests/spec/wsmv/command_output_decoder_spec.rb".freeze, "tests/spec/wsmv/command_output_spec.rb".freeze, "tests/spec/wsmv/command_spec.rb".freeze, "tests/spec/wsmv/configuration_spec.rb".freeze, "tests/spec/wsmv/create_pipeline_spec.rb".freeze, "tests/spec/wsmv/create_shell_spec.rb".freeze, "tests/spec/wsmv/init_runspace_pool_spec.rb".freeze, "tests/spec/wsmv/keep_alive_spec.rb".freeze, "tests/spec/wsmv/receive_response_reader_spec.rb".freeze, "tests/spec/wsmv/send_data_spec.rb".freeze, "tests/spec/wsmv/wql_query_spec.rb".freeze, "tests/spec/wsmv/write_stdin_spec.rb".freeze, "winrm.gemspec".freeze]
  s.homepage = "https://github.com/WinRb/WinRM".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rdoc_options = ["-x".freeze, "test/".freeze, "-x".freeze, "examples/".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "2.7.7".freeze
  s.summary = "Ruby library for Windows Remote Management".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<gssapi>.freeze, ["~> 1.2"])
      s.add_runtime_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
      s.add_runtime_dependency(%q<rubyntlm>.freeze, [">= 0.6.1", "~> 0.6.0"])
      s.add_runtime_dependency(%q<logging>.freeze, ["< 3.0", ">= 1.6.1"])
      s.add_runtime_dependency(%q<nori>.freeze, ["~> 2.0"])
      s.add_runtime_dependency(%q<gyoku>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<builder>.freeze, [">= 2.1.2"])
      s.add_runtime_dependency(%q<erubis>.freeze, ["~> 2.7"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.2"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.3"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.39.0"])
      s.add_development_dependency(%q<pry>.freeze, [">= 0"])
      s.add_development_dependency(%q<rb-readline>.freeze, [">= 0"])
    else
      s.add_dependency(%q<gssapi>.freeze, ["~> 1.2"])
      s.add_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
      s.add_dependency(%q<rubyntlm>.freeze, [">= 0.6.1", "~> 0.6.0"])
      s.add_dependency(%q<logging>.freeze, ["< 3.0", ">= 1.6.1"])
      s.add_dependency(%q<nori>.freeze, ["~> 2.0"])
      s.add_dependency(%q<gyoku>.freeze, ["~> 1.0"])
      s.add_dependency(%q<builder>.freeze, [">= 2.1.2"])
      s.add_dependency(%q<erubis>.freeze, ["~> 2.7"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.2"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.3"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.39.0"])
      s.add_dependency(%q<pry>.freeze, [">= 0"])
      s.add_dependency(%q<rb-readline>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<gssapi>.freeze, ["~> 1.2"])
    s.add_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
    s.add_dependency(%q<rubyntlm>.freeze, [">= 0.6.1", "~> 0.6.0"])
    s.add_dependency(%q<logging>.freeze, ["< 3.0", ">= 1.6.1"])
    s.add_dependency(%q<nori>.freeze, ["~> 2.0"])
    s.add_dependency(%q<gyoku>.freeze, ["~> 1.0"])
    s.add_dependency(%q<builder>.freeze, [">= 2.1.2"])
    s.add_dependency(%q<erubis>.freeze, ["~> 2.7"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.39.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rb-readline>.freeze, [">= 0"])
  end
end

